<?php

declare(strict_types=1);

namespace App\Exception;

use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\HttpKernel\Attribute\WithHttpStatus;

#[WithHttpStatus(Response::HTTP_BAD_REQUEST, headers: [
    'x-error-code' => 'missing_client_key',
])]
final class MissingClientKeyException extends \DomainException
{
    public function __construct()
    {
        parent::__construct('Unable to determine your network address.');
    }
}
